function Door1()
    PRI()
    TUR()MS4("\nCannot escape!")NOD()
end

function QuickFishBoss()
    PRI()
    CMU("CS_Gravity")
    CNP("ArowanaBoss","CS_boss_arowana",0,1)
    MNP("ArowanaBoss",18,10,1)
    ANP("ArowanaBoss",0,1)
    ANP("ArowanaBoss","lside",2)
    ANP("ArowanaBoss","rside",37)
    BSL("ArowanaBoss")
    MOV(25,10)
    SLR(0)
    FAI(1)
end

function ArowanaBoss()
    PRI()
    CMU("XXXX")
    ANP("ArowanaBoss","set_player_type")--改成玩家类型防止掉下去
    KEY()
    WAI(80)
    CMU("CS_Fanfale3")
    MS4("\nDefeated Kuron!")WAI(140)NOD()CLO()
    FLP("DefeatedArowana")
    FAO(2)TRA("CS_bossrush_mainstage","E0090",28,14)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",28,14)
end

function DeathByMovingPlatform()
    Died()
end